com.pixelmed.apps

## Class InsertRealWorldValueMap.OurMediaImporter

- java.lang.Object
- - com.pixelmed.dicom.MediaImporter
  - - com.pixelmed.apps.InsertRealWorldValueMap.OurMediaImporter

Enclosing class:
  InsertRealWorldValueMap

    protected class InsertRealWorldValueMap.OurMediaImporter
    extends MediaImporter

### Nested Class Summary

### Nested classes/interfaces inherited from class com.pixelmed.dicom.MediaImporter

`MediaImporter.MediaImporterWithFileChooserDialogThread`

### Field Summary

### Fields inherited from class com.pixelmed.dicom.MediaImporter

`logger, mediaDirectoryPath, progressBar, progressBarUpdater`

### Constructor Summary

Constructors
Constructor and Description
`InsertRealWorldValueMap.OurMediaImporter(MessageLogger logger)`

### Method Summary

Methods
`protected void` `doSomethingWithDicomFileOnMedia(java.lang.String mediaFileName)` Do something with the referenced DICOM file that has been encountered.

### Methods inherited from class com.pixelmed.dicom.MediaImporter

`choosePathAndImportDicomFiles, choosePathAndImportDicomFiles, getDirectory, importDicomFiles, isOKToImport, logLn, main`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InsertRealWorldValueMap.OurMediaImporter

    public InsertRealWorldValueMap.OurMediaImporter(MessageLogger logger)

### Method Detail

#### doSomethingWithDicomFileOnMedia

    protected void doSomethingWithDicomFileOnMedia(java.lang.String mediaFileName)

Description copied from class: `MediaImporter`

Do something with the referenced DICOM file that has been encountered.

This method needs to be implemented in a sub-class to do anything useful. The default method does nothing.

This method does not define any exceptions and hence must handle any errors locally.

Overrides:
  `doSomethingWithDicomFileOnMedia` in class `MediaImporter`
Parameters:
  `mediaFileName` - the fully qualified path name to a DICOM file